import { CSSProperties, HTMLAttributes } from 'react';
export interface ButtonProps extends Omit<HTMLAttributes<HTMLDivElement>, 'className' | 'ref'> {
    style?: CSSProperties;
    className?: string | string[];
    type?: Types;
}
type Types = 'primary' | 'success' | 'info' | 'warning' | 'danger';
export {};
